#/bin/bash
# Copyright (C) 2017 www.mleaf.org

fw_str= uci get firewall.@zone[1].network
case $1 in
client_2_4g)	#client mode
	[ -n "$2" ] && uci set wireless.mt7615e2.ApCliSsid="$2"
	[ -n "$3" ] && uci set wireless.mt7615e2.ApCliAuthMode="$3"
	[ -n "$4" ] && uci set wireless.mt7615e2.ApCliEncrypType="$4"
	[ -n "$5" ] && uci set wireless.mt7615e2.ApCliWPAPSK="$5"
	[ -n "$6" ] && uci set wireless.mt7615e2.channel="$6"
	uci set wireless.mt7615e2.ApCliEnable='1'
	uci set network.$7=interface
	uci set network.$7.ifname='apclix0'
	uci set network.$7.force_link='1'
	uci set network.$7.proto='dhcp'
#gen firewall
	fw_str="${fw_str} $7"
	uci set firewall.@zone[1].network="$fw_str"
	uci commit
	/etc/init.d/firewall restart
	sleep 3
	/etc/init.d/network restart
	;;

client_5g)	#client mode
	[ -n "$2" ] && uci set wireless.mt7615e5.ApCliSsid="$2"
	[ -n "$3" ] && uci set wireless.mt7615e5.ApCliAuthMode="$3"
	[ -n "$4" ] && uci set wireless.mt7615e5.ApCliEncrypType="$4"
	[ -n "$5" ] && uci set wireless.mt7615e5.ApCliWPAPSK="$5"
	[ -n "$6" ] && uci set wireless.mt7615e5.channel="$6"
	uci set wireless.mt7615e5.ApCliEnable='1'
	uci set network.$7=interface
	uci set network.$7.ifname='apcli0'
	uci set network.$7.force_link='1'
	uci set network.$7.proto='dhcp'
#gen firewall
	fw_str="${fw_str} $7"
	uci set firewall.@zone[1].network="$fw_str"
	uci commit
	/etc/init.d/firewall restart
	sleep 3
	/etc/init.d/network restart
	;;	
esac
